Subject: Re: Curious behavior of CYGSERVER
From: "Conrad Scott" <[email-masked]>
To: "Nicholas Wourms" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 15 Sep 2002 10:56:00 +0100

"Nicholas Wourms" <[email-masked]> wrote:
>
> --- Robert Collins <[email-masked]> wrote:
> >
> > On Sun, 2002-09-15 at 11:43, David A. Cobb wrote:
> > >
> > > What is really bad is that somehow, having CYGSERVER involved
> > defeats
> > > the stdout redirection.  For example, the make check not only ran
> > for 13
> > > hours, but it also gave me very little clue as to its success or
> > failure.
> >
> > That is very unexpected. The HEAD code for cygserver supported
> > normal
> > and tty operation without any regressions from having cygserver not
> > running, when I merged it.
> >
> > Are you sure that that is the cause?
>
> I can actually confirm this behavior since I started testing it a few
> months ago.  Always seems to be the most predominant when running
> configure scripts and the like.  Conrad has some theories on why this
> may be happening, so I'll let him have his say.

It's likely my failing memory cells, but I can't remember any discussion
of this sort of behaviour.  There've been various configure script
issues but none really due to cygserver (it just helped to tickle other
issues) and none outstanding that I knew of.  Could you refresh my
memory, Nicholas?

// Conrad

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/